<?php
/**
 * File handler
 *
 * THESE DO NOTHING!!!
 */

class QueryToolsFileHelper extends QueryToolsHelper {
  function file_core(){
    $file = '/path/to/your/file.odt';

    // Get the file size
    $details = stat($file);
    $filesize = $details['size'];

    // Get the path to your Drupal site's files directory 
    $dest = file_directory_path();

    // Copy the file to the Drupal files directory 
    if(!file_copy($file,,$dest)) {
        echo "Failed to move file: $file.\n";
        return;
    } else {
        // file_move might change the name of the file
        $name = basename($file);
    }

    // Build the file object
    $file_obj = new stdClass();
    $file_obj->filename = $name;
    $file_obj->filepath = $file;
    $file_obj->filemime =  file_get_mimetype($name);
    $file_obj->filesize = $filesize;
    $file_obj->filesource = $name;
    // You can change this to the UID you want
    $file_obj->uid = 1;
    $file_obj->status = FILE_STATUS_TEMPORARY;
    $file_obj->timestamp = time();
    $file_obj->list = 1;
    $file_obj->new = true;

    // Save file to files table
    drupal_write_record('files', $file_obj);

    // change file status to permanent
    file_set_status($file_obj,1);
  
    // Attach the file object to your node
    $node->files[$file_obj->fid] = $file_obj;
  }

  function file_cck(){
      $mime = 'audio/mpeg'; // I was importing mp3 files

      $file_drupal_path =  "sites/default/files/audio_files/file_name.mp3";


      $file = new stdClass();
      $file->filename = basename($file_drupal_path);
      $file->filepath = $file_drupal_path;
      $file->filemime = $mime;
      $file->filesize = filesize($file_drupal_path);

      $file->uid = '1';
      $file->status = FILE_STATUS_PERMANENT;
      $file->timestamp = time();
      drupal_write_record('files', $file);
      $file->fid = db_result(db_query("SELECT fid FROM {files} WHERE filepath = '%s'", $file->filepath));


        $nid = '123' // your NID here

      $node = node_load($nid);

      $node->field_audio_file = array(
        array(
          'fid' => $file->fid,
          'title' => basename($file->filename),
          'filename' => $file->filename,
          'filepath' => $file->filepath,
          'filesize' => $file->filesize,
          'mimetype' => $mime,
          'description' => basename($file->filename),
          'list' => 1,
        ),
      );

      node_save($node);
  }
  
  

  functiondrupal_add_existing_file($file_drupal_path,$uid=1,$status=FILE_STATUS_PERMANENT) {
    $file=(object)array(
      'filename' => basename($file_drupal_path),
      'filepath' =>$file_drupal_path,
      'filemime' =>file_get_mimetype($file_drupal_path),
      'filesize'=>filesize("/var/www/clients/usni/htdocs/".$file_drupal_path),
      'uid'      =>$uid,
      'status'   =>$status,
      'timestamp'=>time()
  );
   
  drupal_write_record('files',$file);
  
  return field_file_load($file_drupal_path);
}